Bug 2529 - urpmi should look for both names and provides for cmd-line arguments
: urpmi should look for both names and provides for cmd-line arguments
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 14:01 MSD by Denis Silakov
Modified: 2013-08-27 11:50 MSD (History)
3 users (show)

See Also:
RPM Package: urpmi
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-08-22 14:01:33 MSD
In bug #2443, we have discovered that 'urpmi glchess' does nothing because 

The reason is that there is gnome-chess in repositories which provides 'glchess' with higher version. However, currently 'urpmi glchess' looks only for packages whose name is equal to 'glchess' and doesn't look for packages that provide glchess. So it doesn't install gnome-chess, but at the same time it doesn't install glchess (this is a side effect of our recent patches that disable installation of packages for which newer versions exist in repositories).

This behavior should be improved - this is not a rare case and from time to time we get questions about such strange behavior.

So 'urpmi glchess' should now install gnome-chess.
Comment 1 Denis Silakov 2013-08-22 14:03:40 MSD
Advisory:

urpmi now looks for both package names and provides when resolving names given as command line arguments.

Build lists:
https://abf.rosalinux.ru/build_lists/1218744
https://abf.rosalinux.ru/build_lists/1218745


So 'urpmi glchess' should now install gnome-chess, 'urpmi gitcompletion' - git-core, etc.
Comment 2 Postnikov Dmitry 2013-08-26 12:49:40 MSD
All work OK, but But for some reason it's not in the list of installed packages. The way it should be? 
============
[root@mindlife2 pastordi]# urpmi glchess
Пакеты lib64gobject2.0_0-2.36.3-3-rosa2012.1.x86_64, lib64gtk+3_0-3.8.2-1-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64cairo2-1.12.14-1-rosa2012.1.x86_64, lib64gdk_pixbuf2.0_0-2.28.2-1-rosa2012.1.x86_64, lib64gl1-9.0.1-3-rosa2012.1.x86_64, lib64x11_6-1.6.1-1-rosa2012.1.x86_64, lib64glu1-9.0.0-2-rosa2012.1.x86_64, lib64gio2.0_0-2.36.3-3-rosa2012.1.x86_64, lib64rsvg2_2-2.37.0-1-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-3-rosa2012.1.x86_64, lib64sqlite3_0-3.7.16.1-1-rosa2012.1.x86_64 уже установлен
lib64gtk+3_0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64gio2.0_0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64rsvg2_2 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
lib64sqlite3_0 помечается как установленный вручную; он не будет учитываться при определении пакетов-сирот
writing /var/lib/rpm/installed-through-deps.list
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 gnuchess                       6.0.0        3             rosa  2012.1 x86_64 
(источник «main updates»)
 gnome-chess                    3.8.3        2             rosa  2012.1 x86_64 
Будет использовано 89МБ дополнительного дискового пространства.
Будет загружено 19МБ пакетов.
Установить 2 пакетов? (Y/n) y


устанавливается gnome-chess-3.8.3-2-rosa2012.1.x86_64.rpm gnuchess-6.0.0-3-rosa2012.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    #################################################################################################################################
      1/2: gnuchess              #################################################################################################################################
      2/2: gnome-chess           #################################################################################################################################
[root@mindlife2 pastordi]#
==================
Comment 3 Alexander Burmashev 2013-08-26 12:54:09 MSD
"But for some reason it's not in the list of installed packages. The way it should be?" - what do you mean ? 
If you are speaking about glchess, then it is absolutely ok for it not to be in the list.
Comment 4 Postnikov Dmitry 2013-08-26 12:55:24 MSD
(In reply to comment #3)
> If you are speaking about glchess, then it is absolutely ok for it not to be
> in the list.

OK, i undestood
Comment 5 Vladimir Potapov 2013-08-26 14:58:37 MSD
The update route to extended testing
Comment 6 Postnikov Dmitry 2013-08-26 20:16:20 MSD
***************************
Extended testing report
***************************
On two computers in KDE and Gnome after installing the system, all fully updated perfectly. All works.
Comment 7 Vladimir Potapov 2013-08-26 20:56:25 MSD
urpmi-6.71-33-rosa2012.1
********************** Advisory ******************
urpmi now looks for both package names and provides when resolving names given as command line arguments.
**************************************************
QA Verified